Name:          fdupes
Version:       2.3.1
Release:       1mamba
Summary:       A program for identifying or deleting duplicate files residing within specified directories
Group:         Applications/File
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://github.com/adrianlopezroche/fdupes
Source0:       https://github.com/adrianlopezroche/fdupes.git/v%{version}/fdupes-%{version}.tar.bz2
# from opensuse
Source1:       macros.fdupes
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libncurses-devel
BuildRequires: libpcre2-devel
BuildRequires: libsqlite-devel
## AUTOBUILDREQ-END
License:       MIT

%description
FDUPES is a program for identifying or deleting duplicate files residing within specified directories.

%debug_package

%prep
%setup -q
autoreconf -f -i

%build
%configure

%make

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

mkdir -p %{buildroot}%{_sysconfdir}/rpm
mkdir -p %{buildroot}%{_bindir}
mkdir -p %{buildroot}%{_mandir}/man1

install -pm 644 %{SOURCE1} %{buildroot}%{_sysconfdir}/rpm/macros.fdupes
install -pm 755 fdupes %{buildroot}%{_bindir}/fdupes
install -pm 644 fdupes.1 %{buildroot}%{_mandir}/man1/

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%files
%defattr(-,root,root)
%{_sysconfdir}/rpm/macros.fdupes
%{_bindir}/fdupes
%{_mandir}/man1/fdupes.1*
%doc README

%changelog
* Wed Jun 19 2024 Automatic Build System <autodist@openmamba.org> 2.3.1-1mamba
- automatic version update by autodist

* Sun Jan 28 2024 Automatic Build System <autodist@openmamba.org> 2.3.0-1mamba
- automatic version update by autodist

* Sat Sep 10 2022 Automatic Build System <autodist@mambasoft.it> 2.2.1-1mamba
- automatic version update by autodist

* Tue Aug 23 2022 Automatic Build System <autodist@mambasoft.it> 2.2.0-1mamba
- automatic version update by autodist

* Wed Sep 09 2020 Silvan Calarco <silvan.calarco@mambasoft.it> 2.1.2-1mamba
- update to 2.1.2

* Fri Mar 27 2020 Ercole 'ercolinux' Carpanetto <ercole69@gmail.com> 2.0.0-1mamba
- update to 2.0.0

* Mon May 13 2013 Automatic Build System <autodist@mambasoft.it> 1.51-1mamba
- update to 1.51

* Wed Jun 02 2010 gil <puntogil@libero.it> 1.40-1mamba
- package created by autospec
